Bug 15595 - RH 7.0 beta 5 and Zip drives
Summary: RH 7.0 beta 5 and Zip drives
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard: Winston gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-08-07 03:47 UTC by Rogelio Noriega
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-15 16:02:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rogelio Noriega 2000-08-07 03:47:33 UTC
System: Dell Precision WS420/WS620

Kudzu currently loads the ide-floppy module for zip drives.
When mounting the zip drive, the systems reports some 
errors (i/o errors) even though the drive does mount.

If the ide-scsi module is used instead of ide-floppy,
no errors are reported and the drive mounts and works correctly.

Comment 1 Bill Nottingham 2000-08-07 03:54:04 UTC
kudzu doesn't do anything specific with IDE zip drives
aside from identify them as such; it doesn't load any
particular modules.

Assigning to kernel; sounds like an issue with the
ide-floppy driver...

Comment 2 Glen Foster 2000-08-07 17:45:15 UTC
This defect is considered MUST-FIX for Winston Gold-release

Comment 3 Alan Cox 2000-08-08 00:27:33 UTC
Please provide the ide identifiers and the messages output by the ide-floppy
driver for this device and I'll take a look. IDE ZIP drives have the odd quirk
but should be fine.


Comment 4 Rogelio Noriega 2000-08-08 15:24:37 UTC
When mounting the zip drive with a 250MB cartidge in it,
I get the following error message:

hdd:The drive reports both 250609664 and 250640384 bytes as its capacity
hdd:hdd4

The error message is reported twice sometimes.

The message does not occur with 100MB cartidges.

If I use the ide-scsi module instead of the ide-floppy module with this zip 
drive
I don't get these messages.  The drive works with either module...

I have also seen intermittent I/O error messages reported when mounting

Please clarify what do you mean by ide identifiers?


Comment 5 Bill Nottingham 2000-08-15 16:02:27 UTC
IDE identifiers is most likely the contents of
/proc/ide/<device name>/model, media, geometry

Comment 6 Rogelio Noriega 2000-08-31 20:09:26 UTC
Fixed RC2


Note You need to log in before you can comment on or make changes to this bug.